/* APPIFY: CSS  */

/*  -------------------------- Plan -------------------------

        - General
        - Loader
        - Main menu
        - Sticky menu
        - Mobile menu
        - Modal
        - Slider
        - Work
        - Features
        - CTA
        - App screens
        - Testimonial
        - Pricing
        - Faq
        - Contact
        - Footer

------------------------------------------------------------ */

/* ----------------------------------------------------------
General
------------------------------------------------------------ */

    html, 
    body {
        max-width:100%;
        overflow-x: hidden;
    }
    
    .section {
        padding: 65px 0;
        opacity: 0;
        transform: translateY(30px);
        transition: opacity 0.5s ease-out, transform 0.5s ease-out;
        will-change: opacity, transform;
    }

    img {
        max-width: 100%;
        height: auto;
    }

    .py-3 {
        width: 60%;
        margin: 0 auto;
    }

    .fs-16 {
        font-size: 16px;
    }

    .btn.btn-gradient-primary {
        background: linear-gradient(90deg, #1f61eb 0, #94b4f5);
        border: none;
        box-shadow: 0 5px 20px rgba(52, 58, 64, .1);
        color: #fff;
    }

    .form-control:focus,
    .btn:focus {
        border-color: #ccc; /* Personnaliser la couleur de la bordure au focus */
        box-shadow: none; /* Enlever l'ombre portée au focus */
    }

    @media (min-width: 992px) {
        .offset {
            margin-right: 8.33333333%;
        }
    }

    .ms-4 {
        margin-left: 1.5rem !important;
    }

    .ms-3 {
        margin-left: 1rem !important;
    }

    .form-control {
        border-color: #e9ecf1;
    }

    .subtitle {
        font-weight: 300;
        text-transform: uppercase;
    }

    .subtitle span {
        font-weight: 600;
    }

    .btn:not(:disabled):not(.disabled) {
        text-decoration: none;
    }

    .me-1 {
        margin-right: .25rem !important;
    }

    .shadow {
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
    }

    .available img {
        height: 52px;
        width: auto;
    }

    .btn.btn-gradient-danger {
        background: linear-gradient(90deg, #eb1f52 0, #f594ac);
        border: none;
        box-shadow: 0 5px 20px rgba(52, 58, 64, .1);
        color: #fff;
        font-size: 18px;
    }

    .btn.btn-gradient-danger i {
        font-size: 11px;
    }

    .text-lg-start {
        text-align: left !important;
    }

    .text-md-end {
        text-align: right;
    }

    .form-group {
        margin-bottom: 0.5rem;
    }

    /* Add the "fade-in-up" class when a section becomes visible */
    .section.fade-in-up {
        opacity: 1; 
        transform: translateY(0);
    }

    /* Animation for the text (titles and paragraphs) inside the sections */
    .section h2, 
    .section p,
    .section .card {
        opacity: 0;
        transform: translateY(20px);
        transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    }

    .section.fade-in-up h2,
    .section.fade-in-up p,
    .section.fade-in-up .card {
        opacity: 1;
        transform: translateY(0);
    }

    /* Add a slight delay for h2 and p elements for a more gradual animation */
    .section.fade-in-up h2 {
        transition-delay: 0.2s;
    }

    .section.fade-in-up p {
        transition-delay: 0.4s;
    }

    .section.fade-in-up .card:nth-child(1) {
        transition-delay: 0.2s;
    }

    .section.fade-in-up .card:nth-child(2) {
        transition-delay: 0.4s;
    }

    .section.fade-in-up .card:nth-child(3) {
        transition-delay: 0.6s;
    }

    .section.fade-in-up .card:nth-child(4) {
        transition-delay: 0.8s;
    }

    .section.fade-in-up .card:nth-child(5) {
        transition-delay: 1s;
    }

    .section.fade-in-up .card:nth-child(6) {
        transition-delay: 1.2s;
    }

/* -------------------------------------------------------
Loader 
--------------------------------------------------------- */

/* Loader container */
.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #eaeaea;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  opacity: 1;
  transition: opacity 0.3s ease-out;
}

/* Spinner animation */
.spinner {
  border: 8px solid rgba(255, 255, 255, 0.3);
  border-top: 8px solid #1f61eb;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1.5s linear infinite;
}

/* Spinner animation keyframes */
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Hide loader after loading is complete */
.loader.hide {
  opacity: 0;
  pointer-events: none;
}

/* ------------------------------------------------------
Main menu 
-------------------------------------------------------- */
   
    header {
        height: 0;
    }

    .navbar {
        z-index: 5;
        background-color: transparent !important;
        transition: all 0.3s ease !important;
        height: 67px;
    }

    .navbar-light .navbar-brand {
        font-family: 'fontAwesome';
    }

    .navbar-light .navbar-brand.act,
    .navbar-light .navbar-brand,
    .navbar-light .navbar-brand:hover,
    .navbar-light .navbar-nav .nav-link,
    .dropdown-item:hover,
    .navbar-light .navbar-nav .nav-link:hover,
    .navbar .nav-btn {
        color: #fff;
    }

    .dropdown-menu {
        display: none;
        opacity: 0;
        transform: translateY(-10px);
        transition: opacity 0.3s, transform 0.3s;
    }

    .dropdown-menu.show {
        opacity: 1;
    }

    .dropdown-item:hover {
        background-color: #007bff;
    }

    .navbar-nav .nav-link.active {
        position: relative;
        color:#fff !important;
    }

    .navbar-nav .nav-link.active:after {
       border-radius: 10px;
       bottom: -2px;
       content: "";
       left: 16px;
       position: absolute;
       right: 16px;
       border-bottom: 2px solid #fff;
    }

    .navbar .nav-btn {
        background-color: transparent;
        border: 1px solid #fafafa;
    }

/* ----------------------------------------------------
Sticky
------------------------------------------------------ */

    .sticky {
        background-color: #fff !important;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        width: 100%;
        z-index: 9;
        height:56px !important;
        position: fixed;
        opacity: 1;     
    }

    .sticky .navbar-brand {
        color: inherit !important;
    }

    .sticky .nav-link {
        color: inherit !important;
    }

    .sticky .nav-link.active {
        color: #1f61eb !important;
    }

    .sticky .nav-link.active:after {
        border-bottom: 2px solid #1f61eb;
    }

    .sticky .dropdown .nav-link {
      color: #000 !important;
    }

    .sticky .nav-btn {
        background-color: #fff;
    }

/* ---------------------------------------------------------
Mobile menu
----------------------------------------------------------- */

    .navbar-light .navbar-toggler {
        outline: none;
        background-color: #fff;
        border:none;
    }

    .dropdown .nav-link {
        color: #fff !important;
    }

    @media screen and (max-width: 992px) {
        .dropdown .nav-link:hover {
            color: #fff !important;
        }

        .navbar-nav .dropdown-menu {
        text-align: center;
        padding:0;
        }

        .dropdown-item:hover {
            background-color: #aaa;
        }

        .dropdown .nav-link {
            color:inherit !important;
        }

        .navbar-collapse {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            background-color: #ddd;
            height: 0;
            overflow: hidden;
            transition: height 0.3s ease;
            flex-direction: column;
        }

        .navbar-collapse.show {
            overflow-y: auto;
            height: 100%;
        }

        .navbar-collapse .navbar-nav:nth-child(1) {
            margin-top: 60px;
        }

        .navbar-collapse .navbar-nav .nav-link {
            color:inherit;
            text-align: center;
            padding: 15px 0;
            width: 100%;
        }

        .navbar-collapse .navbar-nav .nav-link:focus {
            color: #000;
        }

        .navbar-collapse .navbar-nav .nav-link:after {
            border:none !important;
        }

        .navbar-collapse .navbar-nav .nav-link.active {
             background-color: #1f61eb;
        }

        .navbar-collapse .navbar-nav .nav-link:hover {
            background-color: #1f61eb;
            color:#fff;
        }

        .navbar-toggler {
            display: block;
            z-index:997;
        }

        .navbar .nav-btn {
            background-color: inherit;
            border: none;
            color: inherit !important;
        }

        .sticky .navbar-collapse .nav-link {
            color: #000 !important;
        }

        .sticky .navbar-collapse .nav-link:hover {
            color: #fff !important;
        }

        .sticky .navbar-collapse .nav-link.active {
            color: #fff !important;
        }

    }

    @media screen and (min-width: 993px) {
        .navbar-collapse {
            display: flex;
        }
    }

    @media screen and (min-width:993px) {
        nav:not(.sticky) .nav-link:focus {
            color: #fff !important;
        }    
    }

/* ----------------------------------------------------- 
Modal
------------------------------------------------------- */

    .modal .close {
        display: none;
    }

    .modal-header {
        display: block;
        text-align: center;
    }

    .modal-footer p {
        width:100%;
    }

/* ------------------------------------------------------
Slider 
--------------------------------------------------------- */

    .background-section {
      width: 100%;
      height: 100%;
      background-image: url('../img/mode2.png');
      background-size: cover;
      background-position: center;
      position: relative;
      overflow: hidden;
    }


    .background-section .overlay::before {
      content: "";
      position: absolute;
      bottom: 0;
      right: 0;
      width: 731px;
    height: 155px;
      background: #fff;
      z-index: 2;
    }

    .background-section::after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 218px;
      background: #fff;
      transform: skewY(-12deg);
      z-index: 2;
      clip-path: polygon(0 100%, 100% 100%, 300% 100%, 0 0);
    }

    .section.slider {
        background-color: #eee;
    }

    .sl {
        position: relative;
        top:40px;
        z-index: 5;
    }

    .moving-image {
        position: relative;
        animation: moveImage 10s linear infinite;
    }

    @keyframes moveImage {
        0% {
            transform: translateX(0) translateY(0);
        }
        50% {
            transform: translateX(6%) translateY(0%);
        }
        100% {
            transform: translateX(0) translateY(0);
        }
    }

    .slider .hero-content {
        z-index: 9;
    }

    .hero-content, .subscribe-form {
        position: relative;
        display: flex;
        align-items: center;
    }

    .subscribe-form .form-control {
        background-color: hsla(0, 0%, 100%, .04);
        border-color: transparent;
        border-radius: 4px;
        color: #fff;
        min-height: 62px;
        padding: 8px 180px 8px 50px;
        position: relative;
    }

    .subscribe-form .form-btn, 
    .subscribe-form .form-icon {
        position: absolute;
    }

    .subscribe-form .form-icon {
        color: #fff;
        font-size: 20px;
        left: 16px;
        opacity: .3;
    }

    .subscribe-form i {
       position: absolute;
       left: 8px;
       color: #6c6f71;
    }

    .subscribe-form .form-btn {
        right: 8px;
    }

    .btn.btn-success {
        background-color: #1ce1ac !important;
        border: 1px solid #1ce1ac !important;
        color: #fff !important;
    }

    .overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.8);
    }

/* --------------------------------------------------
work
----------------------------------------------------- */

    .work-icon {
        width: 90px;
        height: 90px;
        margin: 6px auto 6px;
        border-radius: 100%;
        line-height: 60px;
        position: relative;
        background-color: #1f61eb;
        color: #fff;
        opacity: 0.8;
    }

    .work-icon i {
        margin-top: 25px;
        -webkit-box-reflect: below 1px -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(.6, transparent), to(rgba(0, 0, 0, 0.5)));
    }

    .work-box .work-arrow {
        position: absolute;
        right: -56px;
        top: 45%;
        width: 30%;
    }

    @media (max-width: 991.98px) {
        .work-box .work-arrow {
            display: none;
        }
    }

/* --------------------------------------------------------
Features
----------------------------------------------------------- */

    .section.features {
        background-color: #fafafa;
    }

    .avatar {
        width: 40px;
        height: 40px;
        align-items: center;
        display: flex;
        justify-content: center;
        background-color: #fff;
        box-shadow: 0 5px 14px rgba(31, 97, 235, .08);
        color: #1f61eb;
        border-radius: 100%;
    }

    .avatar i {
        font-size: 0.65rem;   
    }

/* ---------------------------------------------------------
Cta
------------------------------------------------------------ */

    .cta {
        background-color: #000;
        padding: 90px 0;
    }

    #counter i {
        font-size: 2rem;
        color: #fff;
    }

    .counter-content {
        -webkit-backdrop-filter: blur(3px);
        backdrop-filter: blur(3px);
        background-color: hsla(0, 0%, 100%, .1);
        border: 1px solid hsla(0, 0%, 100%, .2);
        border-radius: 8px;
        box-shadow: 0 5px 20px rgba(52, 58, 64, .1);
        padding: 20px;
    }

/* ----------------------------------------------------------
App screens
------------------------------------------------------------- */

.screen-slider .slick-slide {
    margin: 39px 5px;  /* Adjust this value according to your needs */
}

.screen-slider img {
    width: 100%;
    height: auto;
    transition: transform 0.3s ease;
    transform-origin: bottom;
}

/* Style for the active image (centered) */
.screen-slider .slick-center img {
    transform: scale(1.05);  /* Slightly enlarge the active image */
    transition: transform 0.3s ease;  /* Slightly enlarge the active image with a smooth transition */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);  /* Add a shadow around the active image */
}

/* Optional: Style for non-active images */
.screen-slider .slick-slide img {
    opacity: 0.3;  /* Make the other images less visible */
}

.screen-slider .slick-slide.slick-center img {
    opacity: 1;  /* Ensure the central image has full opacity */
}

/* -------------------------------------------------------------
Testimonial
-------------------------------------------------------------- */

    .testimonial {
        background-color: #fafafa;
    }

    .testimonial-slider {
      width: 80%;
      margin: 0 auto;
    }

    .testimonial-item {
      padding: 20px;
      text-align: center;
      background: transparent;
      border: 1px solid transparent;
      border-radius: 8px;
    }

    .testimonial-image {
        width:100%;
        display: flex;
        justify-content: center;
        border-radius: 50%;
        position: relative;
    }

    .testimonial-image img {
      width: 90px !important;
      height: 100p%;
      border-radius: 50%;
      margin-bottom: 15px;
      object-fit: cover;
    }

    .testimonial-item p {
      font-size: 18px;
      font-style: italic;
    }

    .testimonial-item h4 {
      font-size: 22px;
      margin-top: 10px;
      color: #333;
    }

    .testimonial-item p:last-child {
      font-size: 16px;
      color: #777;
      font-weight: bold;
    }

/*--------------------------------------------------------
Pricing
----------------------------------------------------------*/

    .pricing-box {
        background-color: #fff;
        border-radius: 4px;
        box-shadow: 0 4px 8px rgba(52, 58, 64, .08);
        overflow: hidden;
        padding: 23px;
        position: relative;
    }

    .pricing-tab {
        justify-content: center;
        background-color: #eff1f5;
        border: 1px solid #e6e9ef;
        border-radius: 50rem;
        display: table;
        margin: 0 auto;
        padding: 6px;
    }

    .nav.pricing-tab .nav-item {
        display: inline-block;
    }

    .nav.pricing-tab .nav-item .nav-link {
        border-radius: 50rem;
        color: #292e49;
        padding: .5rem 1.5rem;
    }

    .nav.pricing-tab .nav-item .nav-link.active {
        background-color: #1f61eb;
        color: #fff;
    }

    .pricing-box i {
        font-size:0.65rem;
    }

    .pricing-box .pricing-badge {
        background-color: #eb1f52;
        box-shadow: 0 2px 8px rgba(16, 22, 30, .3);
        color: #fff;
        font-size: 13px;
        padding: 2px 40px;
        position: absolute;
        right: -40px;
        text-transform: uppercase;
        top: 40px;
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    .tab-content {
        perspective: 1200px;
    }

    .tab-pane {
      display: none;
      opacity: 0;
      transform: rotateY(90deg);
      transform-origin: center center;
      transition: transform 0.8s ease, opacity 0.8s ease;
    }

    .tab-pane.show {
      display: block;
      opacity: 1;
      transform: rotateY(0deg);
    }

    .tab-pane.custom-fade-enter {
      opacity: 0;
      transform: rotateY(90deg);
    }

    .tab-pane.custom-fade-enter-active {
      opacity: 1;
      transform: rotateY(0deg);
      transition: transform 0.8s ease, opacity 0.8s ease;
    }

    .tab-pane.custom-fade-leave {
      opacity: 1;
      transform: rotateY(0deg);
    }

    .tab-pane.custom-fade-leave-active {
      opacity: 0;
      transform: rotateY(-90deg);
      transition: transform 0.8s ease, opacity 0.8s ease;
    }

    .tab-pane {
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    .tab-pane.show {
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    }

/*-------------------------------------------------------
Faq
--------------------------------------------------------*/
    .section.faq {
      position: relative; 
      background-image: url('../img/mode2.png');
      background-attachment: fixed;
      background-size: cover;
      background-color: #fafafa;
    }

    .card {
        margin-bottom: 10px;
        border: none;
        box-shadow: 0 5px 20px rgba(52, 58, 64, .1);
    }

    .card-header {
        padding: 0;
    }

    .card-header button {
        padding: .75rem 1.25rem;
        width: 100%;
        text-align: left;
        color: inherit;
    }

    @media only screen and (max-width:993px) {
        .img-question {
        text-align:center !important;
     }
    }

    .faq img {
       width:80%;
       height:auto; 
    }

/* ------------------------------------------------------
Contact
-------------------------------------------------------- */

.contact i {
    font-size: 8px;
}

.contact-icon {
    align-items: center;
    border-radius: 6px;
    display: flex;
    font-size: 20px;
    height: 36px;
    justify-content: center;
    width: 36px;
    background-color: rgba(31,97,235,.15);
}

.contact-icon i {
    font-size: 1rem !important;
}

.contact {
    background-color: #fafafa;
}

.contact img {
    height: 80px;
}

.contact .text-secondary i {
    color:#000;
}

.contact-form {
    display: flex;
    justify-content: center;
    align-items: center;
}

.notification {
    display: none;
    width: max-content;
    border: 1px solid #eaeaea;
    padding: 20px;
    box-shadow: 10px 5px 10px #eaeaea;
    border-radius: 5px;
    background: #fff;
    margin: 0 auto;
    position: absolute;
}

/*------------------------------------------------
Footer
-------------------------------------------------*/

.footer {
    padding: 20px 0;
}

.footer .navbar-brand {
    color: #fff;
}

.footer-tagline {
    background: rgba(52,58,64,.9);
}

@media only screen and (max-width:993px) {
    .footer-tagline p,
    .footer-tagline .text-md-end {
        text-align: center !important;
  }
}

.list-inline-item:not(:last-child) {
    margin-right: .5rem;
}

.footer .footer-social-icon {
    align-items: center;
    background-color: hsla(0, 0%, 100%, .1);
    border-radius: 6px;
    box-shadow: 0 0 0 0 hsla(0, 0%, 100%, .1);
    color: #fff;
    display: flex;
    font-size: 20px;
    height: 36px;
    justify-content: center;
    transition: all .3s ease-in-out;
    width: 36px;
    text-decoration: none;
}

.footer .footer-nav li .footer-link {
    color: hsla(0, 0%, 100%, .6);
    position: relative;
    transition: all .3s ease-in-out;
}

.footer .footer-nav li {
    padding: 6px 0;
}


